## DMS Set Event Report DMS Set Event Report |

## Functions

QmiMessageDmsSetEventReportInput * | qmi_message_dms_set_event_report_input_new ()
QmiMessageDmsSetEventReportInput * | qmi_message_dms_set_event_report_input_ref ()
void | qmi_message_dms_set_event_report_input_unref ()
gboolean | qmi_message_dms_set_event_report_input_get_prl_init_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_prl_init_reporting ()
gboolean | qmi_message_dms_set_event_report_input_get_wireless_disable_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_wireless_disable_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_get_uim_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_uim_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_get_operating_mode_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_operating_mode_reporting ()
gboolean | qmi_message_dms_set_event_report_input_get_activation_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_activation_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_get_pin_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_pin_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_get_battery_level_report_limits ()
gboolean | qmi_message_dms_set_event_report_input_set_battery_level_report_limits ()
gboolean | qmi_message_dms_set_event_report_input_get_power_state_reporting ()
gboolean | qmi_message_dms_set_event_report_input_set_power_state_reporting ()
QmiMessageDmsSetEventReportOutput * | qmi_message_dms_set_event_report_output_ref ()
void | qmi_message_dms_set_event_report_output_unref ()
gboolean | qmi_message_dms_set_event_report_output_get_result ()
void | qmi_client_dms_set_event_report ()
QmiMessageDmsSetEventReportOutput * | qmi_client_dms_set_event_report_finish ()

## Types and Values

| QmiMessageDmsSetEventReportInput
| QmiMessageDmsSetEventReportOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsSetEventReportInput
        ╰── QmiMessageDmsSetEventReportOutput

## Description

## Functions

### qmi_message_dms_set_event_report_input_new ()

    QmiMessageDmsSetEventReportInput *
    qmi_message_dms_set_event_report_input_new
                                   (void);

Allocates a new QmiMessageDmsSetEventReportInput.

#### Returns

the newly created QmiMessageDmsSetEventReportInput. The returned value should be freed with `qmi_message_dms_set_event_report_input_unref()`.

### qmi_message_dms_set_event_report_input_ref ()

    QmiMessageDmsSetEventReportInput *
    qmi_message_dms_set_event_report_input_ref
                                   (QmiMessageDmsSetEventReportInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_set_event_report_input_unref ()

    void
    qmi_message_dms_set_event_report_input_unref
                                   (QmiMessageDmsSetEventReportInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |

### qmi_message_dms_set_event_report_input_get_prl_init_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_prl_init_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *prl_init_reporting,
                                    GError **error);

Get the 'PRL Init Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
prl_init_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_prl_init_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_prl_init_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean prl_init_reporting,
                                    GError **error);

Set the 'PRL Init Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
prl_init_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_wireless_disable_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_wireless_disable_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *wireless_disable_state_reporting,
                                    GError **error);

Get the 'Wireless Disable State Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
wireless_disable_state_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_wireless_disable_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_wireless_disable_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean wireless_disable_state_reporting,
                                    GError **error);

Set the 'Wireless Disable State Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
wireless_disable_state_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_uim_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_uim_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *uim_state_reporting,
                                    GError **error);

Get the 'UIM State Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
uim_state_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_uim_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_uim_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean uim_state_reporting,
                                    GError **error);

Set the 'UIM State Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
uim_state_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_operating_mode_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_operating_mode_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *operating_mode_reporting,
                                    GError **error);

Get the 'Operating Mode Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
operating_mode_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_operating_mode_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_operating_mode_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean operating_mode_reporting,
                                    GError **error);

Set the 'Operating Mode Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
operating_mode_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_activation_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_activation_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *activation_state_reporting,
                                    GError **error);

Get the 'Activation State Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
activation_state_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_activation_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_activation_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean activation_state_reporting,
                                    GError **error);

Set the 'Activation State Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
activation_state_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_pin_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_pin_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *pin_state_reporting,
                                    GError **error);

Get the 'PIN State Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
pin_state_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_pin_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_pin_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean pin_state_reporting,
                                    GError **error);

Set the 'PIN State Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
pin_state_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_battery_level_report_limits ()

    gboolean
    qmi_message_dms_set_event_report_input_get_battery_level_report_limits
                                   (QmiMessageDmsSetEventReportInput *self,
                                    guint8 *battery_level_report_limits_lower_limit,
                                    guint8 *battery_level_report_limits_upper_limit,
                                    GError **error);

Get the 'Battery Level Report Limits' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
battery_level_report_limits_lower_limit | a placeholder for the output guint8, or `NULL` if not required. |
battery_level_report_limits_upper_limit | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_battery_level_report_limits ()

    gboolean
    qmi_message_dms_set_event_report_input_set_battery_level_report_limits
                                   (QmiMessageDmsSetEventReportInput *self,
                                    guint8 battery_level_report_limits_lower_limit,
                                    guint8 battery_level_report_limits_upper_limit,
                                    GError **error);

Set the 'Battery Level Report Limits' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
battery_level_report_limits_lower_limit | a guint8. |
battery_level_report_limits_upper_limit | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_get_power_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_get_power_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean *power_state_reporting,
                                    GError **error);

Get the 'Power State Reporting' field from `self` .

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
power_state_reporting | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_message_dms_set_event_report_input_set_power_state_reporting ()

    gboolean
    qmi_message_dms_set_event_report_input_set_power_state_reporting
                                   (QmiMessageDmsSetEventReportInput *self,
                                    gboolean power_state_reporting,
                                    GError **error);

Set the 'Power State Reporting' field in the message.

#### Parameters

self | a QmiMessageDmsSetEventReportInput. |
power_state_reporting | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

### qmi_message_dms_set_event_report_output_ref ()

    QmiMessageDmsSetEventReportOutput *
    qmi_message_dms_set_event_report_output_ref
                                   (QmiMessageDmsSetEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsSetEventReportOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_set_event_report_output_unref ()

    void
    qmi_message_dms_set_event_report_output_unref
                                   (QmiMessageDmsSetEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsSetEventReportOutput. |

### qmi_message_dms_set_event_report_output_get_result ()

    gboolean
    qmi_message_dms_set_event_report_output_get_result
                                   (QmiMessageDmsSetEventReportOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsSetEventReportOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_client_dms_set_event_report ()

    void
    qmi_client_dms_set_event_report (QmiClientDms *self,
                                     QmiMessageDmsSetEventReportInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Set Event Report request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_set_event_report_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsSetEventReportInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_set_event_report_finish ()

    QmiMessageDmsSetEventReportOutput *
    qmi_client_dms_set_event_report_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_set_event_report()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_set_event_report()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsSetEventReportOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_set_event_report_output_unref()`.

## Types and Values

### QmiMessageDmsSetEventReportInput

    typedef struct _QmiMessageDmsSetEventReportInput QmiMessageDmsSetEventReportInput;

The QmiMessageDmsSetEventReportInput structure contains private data and should only be accessed using the provided API.

### QmiMessageDmsSetEventReportOutput

    typedef struct _QmiMessageDmsSetEventReportOutput QmiMessageDmsSetEventReportOutput;

The QmiMessageDmsSetEventReportOutput structure contains private data and should only be accessed using the provided API.